Skip to content

Update Speaker

PUT/speakers/:id

Update an existing speaker. Only the attributes you include are changed.

Attributes

AttributeTypeDescription
firstNamestring
eventIdnumber
lastNamestring
ordernumber
occupationstring
biostring
statusenumannounced, hidden
settingsobject
imageIdnumber

All attributes are optional.

Request

js
import Confetti from 'confetti'

const confetti = new Confetti({ apiKey: 'your-key' })

const speaker = await confetti.speakers.update(107634, {
  firstName: 'Jane',
  lastName: 'Doe',
})
sh
curl -X PUT "https://api.confetti.events/speakers/107634" \
  -H "Content-Type: application/json" \
  -H "Authorization: apikey your-key" \
  -d '{
  "data": {
    "type": "speaker",
    "id": "107634",
    "attributes": {
      "firstName": "Jane",
      "lastName": "Doe"
    }
  }
}'